Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.slf4j.impl
[Java] Class StaticLoggerBinder

    java.lang.Object
      org.slf4j.impl.StaticLoggerBinder

All Implemented Interfaces:
  org.slf4j.spi.LoggerFactoryBinder

    public class StaticLoggerBinder

Provides stack trace cleaning and filtering of log4j log output.

Authors:
  Graeme Rocher

Since:
  2.0

Field Summary
`static java.lang.String` | `REQUESTED_API_VERSION` Declare the version of the SLF4J API this implementation is compiled against.

Method Summary
`org.slf4j.ILoggerFactory` | `getLoggerFactory()`
`java.lang.String` | `getLoggerFactoryClassStr()`
`static StaticLoggerBinder` | `getSingleton()` Return the singleton of this class.

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### REQUESTED_API_VERSION

    public static java.lang.String REQUESTED_API_VERSION

  Declare the version of the SLF4J API this implementation is compiled against. The value of this field is usually modified with each release.

Method Detail

### getLoggerFactory

    public org.slf4j.ILoggerFactory getLoggerFactory()

### getLoggerFactoryClassStr

    public java.lang.String getLoggerFactoryClassStr()

### getSingleton

    public static final StaticLoggerBinder getSingleton()

  Return the singleton of this class.
  Returns:
    the StaticLoggerBinder singleton

Groovy Documentation